Class | ::Bot::RemoteMessage
In: | lib/rbot/core/remote.rb
Parent: | Object

A RemoteMessage is similar to a BasicUserMessage

### Methods

new private? target

### Attributes

bot | [R] | associated bot
message | [RW] | contents of the message
source | [R] | remote client that originated the message
time | [R] | when the message was received

### Public Class methods

new(bot, source, message)

### Public Instance methods

private?()

Remote messages are always ‘private‘

target()

The target of a RemoteMessage

[Validate]